### Method

# Ide CompletionContext get_completion

#### Declaration

    IdeCompletion*
    ide_completion_context_get_completion (
      IdeCompletionContext* self
    )

#### Description

Gets the `IdeCompletion` that created the context.

Available since: | 3.32

Gets property | `Ide.CompletionContext:completion`

#### Return value

Returns: | `IdeCompletion`
| An `IdeCompletion` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.